ReflectionClass::getConstructor
ReflectionClass::getDocComment
ReflectionClass
PHP Manual

# ReflectionClass::getDefaultProperties

(PHP 5)

ReflectionClass::getDefaultProperties — Gets default properties

### Description

public array ReflectionClass::getDefaultProperties ( void )

Gets default properties from a class.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

An array of default properties.

### See Also

- ReflectionClass::getProperties - Gets properties

ReflectionClass::getConstructor
ReflectionClass::getDocComment
ReflectionClass
PHP Manual